@import "abstracts/mixins";
@import "abstracts/vars";
@import "base/fontawesome/font-awesome-mix-var";

.small_card {
    background: $bg-basic-color;
    border: 1px solid $border-offering;
    padding: 38px 30px 30px 30px;
    flex-basis: 31%;
    //For IE11
    max-width: 31%;
    margin-right: 25px;
    margin-bottom: 2rem;

    &:nth-child(3n) {
        margin-right: 0;
    }

    @media screen and (max-width:1200px) {
        flex-basis: 45%;
        //For IE11
        max-width: 45%;

        &:nth-child(2n) {
            margin-right: 25px;
        }

        &:nth-child(3n) {
            margin-right: 25px;
        }
    }

    @media screen and (max-width:768px) {
        flex-basis: 100%;
        //For IE11
        max-width: 100%;
        margin-right: 0;

        &:nth-child(3n) {
            margin-right: 0 !important;
        }

        &:nth-child(2n) {
            margin-right: 0 !important;
        }
    }

    &__hidden {
        display: none;
    }

    &__wrapper {
        @include flexbox();
        @include flex-wrap(wrap);
        margin: 4.6875rem 0 0;

        @media screen and (max-width: 1200px) {
            margin: 20px 0;
        }

        &__counter {
            @include flexbox();
            @include align-items(flex-end);
            font-size: 1.125rem !important;
            color: $blue !important;
            font-weight: 700;
            margin-bottom: 3.6875rem;
            text-decoration: none !important;

            span {
                display: inline-block;
                margin: 0 5px;
            }

            &::after {
                content: "\f054";
                font-family: FontAwesome;
                color: $blue;
                font-size: 1rem;
                margin-left: 0.5rem;
                display: block;

                @media screen and (max-width: 768px) {
                    font-size: 1.75rem !important;
                }
            }

            &:hover {
                color: $blue;
                text-decoration: none !important;
            }

            @media screen and (max-width:768px) {
                font-size: 1.75rem !important;
            }
        }
    }

    &__header__description {
        font-size: 1.875rem;
        color: $text-gray;
        letter-spacing: -1px;
        line-height: 40px;
        margin-top: 55px;

        @media screen and (max-width: 1200px) {
            margin-top: 20px;
            line-height: 30px;
        }

        @media screen and (max-width:768px) {
            font-size: 2.25rem;
        }
    }

    &__icon {
        margin-bottom: 25px;
    }

    &__date {
        color: $text-gray;
        font-size: 0.875rem;

        @media screen and (max-width: 768px) {
            font-size: 1.75rem;
        }
    }

    &__title {
        color: $bg-black;
        font-size: 1.25rem;
        font-weight: bold;
        margin-bottom: 15px;

        @media screen and (max-width: 768px) {
            font-size: 2.25rem;
        }
    }

    &__description {
        font-size: 1.125rem;
        color: $text-gray;
        line-height: 22px;
        margin-bottom: 30px;

        @media screen and (max-width: 768px) {
            font-size: 1.75rem;
        }
    }

    &__link {
        a {
            display: inline-flex;
            @include align-items(center);
            font-size: 1.175rem;
            line-height: 1.2;
            font-weight: 700;
            color: $blue;
            text-decoration: none;

            @media screen and (max-width: 768px) {
                font-size: 1.75rem;
            }

            &::before {
                font-family: FontAwesome;
                width: 50px;
                height: 50px;
                color: #fff;
                background: $blue;
                border: 0.125rem solid $blue;
                border-radius: 50%;
                font-size: 0.875rem;
                margin-right: 0.75rem;
                -webkit-transition: all .25s linear;
                transition: all .25s linear;
                @include justify-content(center);
                @include flexbox();
                @include align-items(center);

                @media screen and (max-width: 1200px) {
                    font-size: 1.3rem;
                }
            }

            &:hover {
                color: $blue;

                &::before {
                    background: $bg-basic-color;
                    color: $blue;
                }
            }
        }
    }

    &__goto {
        a {
            &::before {
                content: "\f054";
            }
        }
    }

    &__download {
        a {
            &::before {
                font-family: 'Font Awesome 5 Pro';
                content: "\f33d";
            }
        }
    }
}